#include "../include/aprecv-general.h"

int resolve_ip (char *ip_address, int version) {
  static struct hostent *resolve;
  static unsigned long chg_ip;

  chg_ip = inet_addr(ip_address);
  
  if((resolve = gethostbyaddr((char *)&chg_ip, sizeof(chg_ip), version)) != NULL) {
	apsr_output(" (%s)", resolve->h_name);
  }
  else {
	#ifdef APRECV_DEBUG
 	herror("Error: Can't resolve hostname.\n");
	#endif
  }
  
  return(RET_SUCCESS);
}

int resolve_mac (unsigned char *mac_address) {
  if(mac_address[0] == 0xff && mac_address[1] == 0xff && 
		  mac_address[2] == 0xff && mac_address[3] == 0xff && 
		  mac_address[4] == 0xff && mac_address[5] == 0xff) 
	  apsr_output(" (Type: Broadcast)");
  else if(mac_address[0] == 0x00 && mac_address[1] == 0x00 && 
		  mac_address[2] == 0x00 && mac_address[3] == 0x00 && 
		  mac_address[4] == 0x00 && mac_address[5] == 0x00)
          apsr_output(" (Type: Nothing set)");
  else {
            apsr_output(" (Vendor: %s)", 
			    apsr_resolve_mac((char *)mac_address));
  }
  
  return(RET_SUCCESS);
}

