#include <apsrlib/apsrlib.h>

#ifdef HAVE_APSRLIB_BLUETOOTH_SUPPORT
int test(unsigned char *, unsigned int);
#endif

int main (void) {
#ifdef HAVE_APSRLIB_BLUETOOTH_SUPPORT
	int device=0;	/* hci0 */
	int fd;
	
	/* Open a link layer interface. */
	fd = apsr_open_bluetooth_socket(device);

	apsr_read_bluetooth_socket(fd, 1024, 0, 
			(apsr_read_bluetooth_callback)test);
	
	/* Close link layer */
	apsr_close_bluetooth_socket(fd);
#endif
	
	return(RET_SUCCESS);
}

#ifdef HAVE_APSRLIB_BLUETOOTH_SUPPORT
int test(unsigned char *buf, unsigned int len) {
  int i=0, x, count=0;

  apsr_output("\n- HCI Frame -\n");
  
  for(x = 0; x <= len; x++) {
	if((i++ % 20) == 0 || x == 0) {
		count++;
		apsr_output("\n0x%04x:", count);
	}
	
    	apsr_output("%02x", buf[i]);
  }
  apsr_output("\n");
  
  return(RET_SUCCESS);
}
#endif

